Index: kernel/arch/ia32/src/boot/cboot.c
===================================================================
--- kernel/arch/ia32/src/boot/cboot.c	(revision 561db3f87662526e5b14ca49efc6c1229d0a8a2b)
+++ kernel/arch/ia32/src/boot/cboot.c	(revision 2f5769097aeb16476c39a32de0fe53503cf28a83)
@@ -47,7 +47,8 @@
 /** Extract command name from the multiboot module command line.
  *
- * @param buf		Destination buffer (will always null-terminate).
- * @param n		Size of destination buffer.
- * @param cmd_line	Input string (the command line).			
+ * @param buf      Destination buffer (will always null-terminate).
+ * @param n        Size of destination buffer.
+ * @param cmd_line Input string (the command line).
+ *
  */
 static void extract_command(char *buf, size_t n, const char *cmd_line)
@@ -55,9 +56,10 @@
 	const char *start, *end, *cp;
 	size_t max_len;
-
+	
 	/* Find the first space. */
 	end = strchr(cmd_line, ' ');
-	if (end == NULL) end = cmd_line + strlen(cmd_line);
-
+	if (end == NULL)
+		end = cmd_line + strlen(cmd_line);
+	
 	/*
 	 * Find last occurence of '/' before 'end'. If found, place start at
@@ -73,5 +75,5 @@
 		--cp;
 	}
-
+	
 	/* Copy the command and null-terminate the string. */
 	max_len = min(n - 1, (size_t) (end - start));
@@ -81,6 +83,7 @@
 
 /** C part of ia32 boot sequence.
- * @param signature	Should contain the multiboot signature.
- * @param mi		Pointer to the multiboot information structure.
+ *
+ * @param signature Should contain the multiboot signature.
+ * @param mi        Pointer to the multiboot information structure.
  */
 void ia32_cboot(uint32_t signature, const mb_info_t *mi)
@@ -89,22 +92,22 @@
 	mb_mod_t *mods;
 	uint32_t i;
-
-	if (signature == MULTIBOOT_LOADER_MAGIC) {
+	
+	if (signature == MULTIBOOT_LOADER_MAGIC)
 		flags = mi->flags;
-	} else {
+	else {
 		/* No multiboot info available. */
 		flags = 0;
 	}
-
+	
 	/* Copy module information. */
-
+	
 	if ((flags & MBINFO_FLAGS_MODS) != 0) {
 		init.cnt = mi->mods_count;
 		mods = mi->mods_addr;
-
+		
 		for (i = 0; i < init.cnt; i++) {
 			init.tasks[i].addr = mods[i].start + 0x80000000;
 			init.tasks[i].size = mods[i].end - mods[i].start;
-
+			
 			/* Copy command line, if available. */
 			if (mods[i].string) {
@@ -112,27 +115,25 @@
 				    CONFIG_TASK_NAME_BUFLEN,
 				    mods[i].string);
-			} else {
+			} else
 				init.tasks[i].name[0] = '\0';
-			}
 		}
-	} else {
+	} else
 		init.cnt = 0;
-	}
-
+	
 	/* Copy memory map. */
-
+	
 	int32_t mmap_length;
 	mb_mmap_t *mme;
 	uint32_t size;
-
+	
 	if ((flags & MBINFO_FLAGS_MMAP) != 0) {
 		mmap_length = mi->mmap_length;
 		mme = mi->mmap_addr;
 		e820counter = 0;
-
+		
 		i = 0;
 		while (mmap_length > 0) {
 			e820table[i++] = mme->mm_info;
-
+			
 			/* Compute address of next structure. */
 			size = sizeof(mme->size) + mme->size;
@@ -140,10 +141,9 @@
 			mmap_length -= size;
 		}
-
+		
 		e820counter = i;
-	} else {
+	} else
 		e820counter = 0;
-	}
-
+	
 #ifdef CONFIG_SMP
 	/* Copy AP bootstrap routines below 1 MB. */
@@ -151,5 +151,5 @@
 	    (size_t) &_hardcoded_unmapped_size);
 #endif
-
+	
 	main_bsp();
 }
Index: kernel/generic/include/string.h
===================================================================
--- kernel/generic/include/string.h	(revision 561db3f87662526e5b14ca49efc6c1229d0a8a2b)
+++ kernel/generic/include/string.h	(revision 2f5769097aeb16476c39a32de0fe53503cf28a83)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup generic	
+/** @addtogroup generic
  * @{
  */
Index: kernel/generic/src/lib/string.c
===================================================================
--- kernel/generic/src/lib/string.c	(revision 561db3f87662526e5b14ca49efc6c1229d0a8a2b)
+++ kernel/generic/src/lib/string.c	(revision 2f5769097aeb16476c39a32de0fe53503cf28a83)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup generic	
+/** @addtogroup generic
  * @{
  */
@@ -33,5 +33,5 @@
 /**
  * @file
- * @brief	Miscellaneous functions.
+ * @brief Miscellaneous functions.
  */
 
@@ -48,4 +48,5 @@
  *
  * @return Number of characters in str.
+ *
  */
 size_t strlen(const char *str)
@@ -53,6 +54,5 @@
 	int i;
 	
-	for (i = 0; str[i]; i++)
-		;
+	for (i = 0; str[i]; i++);
 	
 	return i;
@@ -81,6 +81,8 @@
 	if (*src == *dst)
 		return 0;
+	
 	if (!*src)
 		return -1;
+	
 	return 1;
 }
@@ -108,11 +110,15 @@
 		if (*src < *dst)
 			return -1;
+		
 		if (*src > *dst)
 			return 1;
 	}
+	
 	if (i == len || *src == *dst)
 		return 0;
+	
 	if (!*src)
 		return -1;
+	
 	return 1;
 }
@@ -126,17 +132,18 @@
  * last copied character.
  *
- * @param src Source string.
+ * @param src  Source string.
  * @param dest Destination buffer.
- * @param len Size of destination buffer.
+ * @param len  Size of destination buffer.
+ *
  */
 void strncpy(char *dest, const char *src, size_t len)
 {
 	unsigned int i;
-
+	
 	for (i = 0; i < len; i++) {
 		if (!(dest[i] = src[i]))
 			return;
 	}
-
+	
 	dest[i - 1] = '\0';
 }
@@ -144,16 +151,17 @@
 /** Find first occurence of character in string.
  *
- * @param s	String to search.
- * @param i	Character to look for.
+ * @param s String to search.
+ * @param i Character to look for.
  *
- * @return	Pointer to character in @a s or NULL if not found.
+ * @return Pointer to character in @a s or NULL if not found.
  */
 extern char *strchr(const char *s, int i)
 {
 	while (*s != '\0') {
-		if (*s == i) return (char *) s;
+		if (*s == i)
+			return (char *) s;
 		++s;
 	}
-
+	
 	return NULL;
 }
Index: kernel/generic/src/main/kinit.c
===================================================================
--- kernel/generic/src/main/kinit.c	(revision 561db3f87662526e5b14ca49efc6c1229d0a8a2b)
+++ kernel/generic/src/main/kinit.c	(revision 2f5769097aeb16476c39a32de0fe53503cf28a83)
@@ -33,5 +33,5 @@
 /**
  * @file
- * @brief	Kernel initialization thread.
+ * @brief Kernel initialization thread.
  *
  * This file contains kinit kernel thread which carries out
@@ -81,6 +81,6 @@
 #endif
 
-#define BOOT_PREFIX		"boot:"
-#define BOOT_PREFIX_LEN		5
+#define BOOT_PREFIX      "boot:"
+#define BOOT_PREFIX_LEN  5
 
 /** Kernel initialization thread.
@@ -98,13 +98,13 @@
 	thread_t *thread;
 #endif
-
+	
 	/*
 	 * Detach kinit as nobody will call thread_join_timeout() on it.
 	 */
 	thread_detach(THREAD);
-
+	
 	interrupts_disable();
-
-#ifdef CONFIG_SMP		 	
+	
+#ifdef CONFIG_SMP
 	if (config.cpu_count > 1) {
 		waitq_initialize(&ap_completion_wq);
@@ -126,7 +126,5 @@
 		thread_detach(thread);
 	}
-#endif /* CONFIG_SMP */
-	
-#ifdef CONFIG_SMP
+	
 	if (config.cpu_count > 1) {
 		count_t i;
@@ -144,5 +142,4 @@
 			} else
 				printf("Unable to create kcpulb thread for cpu" PRIc "\n", i);
-
 		}
 	}
@@ -153,5 +150,5 @@
 	 */
 	arch_post_smp_init();
-
+	
 #ifdef CONFIG_KCONSOLE
 	if (stdin) {
@@ -180,15 +177,17 @@
 			continue;
 		}
-
+		
 		/*
 		 * Construct task name from the 'boot:' prefix and the
 		 * name stored in the init structure (if any).
 		 */
-
-		char namebuf[TASK_NAME_BUFLEN], *name;
-
+		
+		char namebuf[TASK_NAME_BUFLEN];
+		char *name;
+		
 		name = init.tasks[i].name;
-		if (name[0] == '\0') name = "<unknown>";
-
+		if (name[0] == '\0')
+			name = "<unknown>";
+		
 		ASSERT(TASK_NAME_BUFLEN >= BOOT_PREFIX_LEN);
 		strncpy(namebuf, BOOT_PREFIX, TASK_NAME_BUFLEN);
@@ -234,5 +233,5 @@
 		}
 	}
-
+	
 #ifdef CONFIG_KCONSOLE
 	if (!stdin) {
Index: uspace/srv/loader/main.c
===================================================================
--- uspace/srv/loader/main.c	(revision 561db3f87662526e5b14ca49efc6c1229d0a8a2b)
+++ uspace/srv/loader/main.c	(revision 2f5769097aeb16476c39a32de0fe53503cf28a83)
@@ -28,10 +28,10 @@
 
 /** @addtogroup loader
- * @brief	Loads and runs programs from VFS.
+ * @brief Loads and runs programs from VFS.
  * @{
- */ 
+ */
 /**
  * @file
- * @brief	Loads and runs programs from VFS.
+ * @brief Loads and runs programs from VFS.
  *
  * The program loader is a special init binary. Its image is used
@@ -89,7 +89,7 @@
 	task_id_t task_id;
 	size_t len;
-
+	
 	task_id = task_get_id();
-
+	
 	if (!ipc_data_read_receive(&callid, &len)) {
 		ipc_answer_0(callid, EINVAL);
@@ -97,7 +97,8 @@
 		return;
 	}
-
-	if (len > sizeof(task_id)) len = sizeof(task_id);
-
+	
+	if (len > sizeof(task_id))
+		len = sizeof(task_id);
+	
 	ipc_data_read_finalize(callid, &task_id, len);
 	ipc_answer_0(rid, EOK);
@@ -115,5 +116,5 @@
 	size_t len;
 	char *name_buf;
-
+	
 	if (!ipc_data_write_receive(&callid, &len)) {
 		ipc_answer_0(callid, EINVAL);
@@ -121,5 +122,5 @@
 		return;
 	}
-
+	
 	name_buf = malloc(len + 1);
 	if (!name_buf) {
@@ -128,13 +129,13 @@
 		return;
 	}
-
+	
 	ipc_data_write_finalize(callid, name_buf, len);
 	ipc_answer_0(rid, EOK);
-
+	
 	if (pathname != NULL) {
 		free(pathname);
 		pathname = NULL;
 	}
-
+	
 	name_buf[len] = '\0';
 	pathname = name_buf;
@@ -152,5 +153,5 @@
 	char *p;
 	int n;
-
+	
 	if (!ipc_data_write_receive(&callid, &buf_len)) {
 		ipc_answer_0(callid, EINVAL);
@@ -158,15 +159,15 @@
 		return;
 	}
-
+	
 	if (arg_buf != NULL) {
 		free(arg_buf);
 		arg_buf = NULL;
 	}
-
+	
 	if (argv != NULL) {
 		free(argv);
 		argv = NULL;
 	}
-
+	
 	arg_buf = malloc(buf_len + 1);
 	if (!arg_buf) {
@@ -175,10 +176,10 @@
 		return;
 	}
-
+	
 	ipc_data_write_finalize(callid, arg_buf, buf_len);
 	ipc_answer_0(rid, EOK);
-
+	
 	arg_buf[buf_len] = '\0';
-
+	
 	/*
 	 * Count number of arguments
@@ -191,8 +192,8 @@
 		++n;
 	}
-
+	
 	/* Allocate argv */
 	argv = malloc((n + 1) * sizeof(char *));
-
+	
 	if (argv == NULL) {
 		free(arg_buf);
@@ -201,5 +202,5 @@
 		return;
 	}
-
+	
 	/*
 	 * Fill argv with argument pointers
@@ -209,10 +210,10 @@
 	while (p < arg_buf + buf_len) {
 		argv[n] = p;
-
+		
 		arg_len = strlen(p);
 		p = p + arg_len + 1;
 		++n;
 	}
-
+	
 	argc = n;
 	argv[n] = NULL;
@@ -228,5 +229,5 @@
 {
 	int rc;
-
+	
 	rc = elf_load_file(pathname, 0, &prog_info);
 	if (rc < 0) {
@@ -235,10 +236,10 @@
 		return 1;
 	}
-
+	
 	elf_create_pcb(&prog_info, &pcb);
-
+	
 	pcb.argc = argc;
 	pcb.argv = argv;
-
+	
 	if (prog_info.interp == NULL) {
 		/* Statically linked program */
@@ -247,5 +248,5 @@
 		return 0;
 	}
-
+	
 	rc = elf_load_file(prog_info.interp, 0, &interp_info);
 	if (rc < 0) {
@@ -255,8 +256,8 @@
 		return 1;
 	}
-
+	
 	is_dyn_linked = true;
 	ipc_answer_0(rid, EOK);
-
+	
 	return 0;
 }
@@ -272,10 +273,10 @@
 {
 	const char *cp;
-
+	
 	/* Set the task name. */
 	cp = strrchr(pathname, '/');
 	cp = (cp == NULL) ? pathname : (cp + 1);
 	task_set_name(cp);
-
+	
 	if (is_dyn_linked == true) {
 		/* Dynamically linked program */
@@ -283,8 +284,7 @@
 		DPRINTF("Entry point: 0x%lx\n", interp_info.entry);
 		close_console();
-
+		
 		ipc_answer_0(rid, EOK);
 		elf_run(&interp_info, &pcb);
-
 	} else {
 		/* Statically linked program */
@@ -307,5 +307,5 @@
 	ipc_call_t call;
 	int retval;
-
+	
 	/* Already have a connection? */
 	if (connected) {
@@ -313,16 +313,17 @@
 		return;
 	}
-
+	
 	connected = true;
 	
 	/* Accept the connection */
 	ipc_answer_0(iid, EOK);
-
+	
 	/* Ignore parameters, the connection is already open */
-	(void)iid; (void)icall;
-
+	(void) iid;
+	(void) icall;
+	
 	while (1) {
 		callid = async_get_call(&call);
-
+		
 		switch (IPC_GET_METHOD(call)) {
 		case IPC_M_PHONE_HUNGUP:
@@ -361,10 +362,10 @@
 {
 	ipcarg_t phonead;
-
+	
 	connected = false;
 	
 	/* Set a handler of incomming connections. */
 	async_set_client_connection(loader_connection);
-
+	
 	/* Register at naming service. */
 	if (ipc_connect_to_me(PHONE_NS, SERVICE_LOAD, 0, 0, &phonead) != 0) 
@@ -372,5 +373,5 @@
 	
 	async_manager();
-
+	
 	/* Never reached */
 	return 0;
